Subject: bug#63632: diffutils 3.10: test suite is failing in test-strtoll unit

From: Bruno Haible <[email-masked]>
Date: Mon, 22 May 2023 08:26:31 +0200

Paul Eggert wrote:
> > test-strtoll.c:290: assertion 'ptr == input + 1' failed
> 
> I don't have that problem when I run the tests on Fedora 38 x86-64. What 
> platform are you using, and how did you configure it?

Possibly the reporter is using a glibc git checkout, and is encountering
https://sourceware.org/bugzilla/show_bug.cgi?id=30371 .

The last thing I heard regarding this bug (from 2023-04-18), is that
Adhemerval Zanella wanted to handle it. But I see no handling of this
bug in libc-alpha so far.

It would be a pity if glibc 2.38 would be released with this bug,
because it forces a gnulib override of strtol and strtoll.

Bruno